--- ../../asterisk-13.1.0/main/manager_channels.c       2014-12-08 17:49:24.000000000 +0200
+++ main/manager_channels.c     2015-01-31 22:56:46.817064652 +0200
@@ -413,7 +413,7 @@
                return NULL;
        }

-       if (snapshot->tech_properties & AST_CHAN_TP_INTERNAL) {
+       if (!snapshot || (snapshot->tech_properties & AST_CHAN_TP_INTERNAL)) {
                ast_free(out);
                return NULL;
        }
--- ../../asterisk-13.1.0/main/aoc.c    2014-06-13 21:24:49.000000000 +0300
+++ main/aoc.c  2015-01-31 22:58:57.773101595 +0200
@@ -1800,10 +1800,7 @@
        RAII_VAR(struct ast_str *, channel, NULL, ast_free);
        RAII_VAR(struct ast_str *, aoc, NULL, ast_free);

-       if (!(channel = ast_manager_build_channel_state_string(
-                     obj->snapshot))) {
-               return NULL;
-       }
+       channel = ast_manager_build_channel_state_string(obj->snapshot);

        if (!(aoc = ast_manager_str_from_json_object(obj->blob, NULL))) {
                return NULL;